- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates the parameters of a single AutoProtectionPolicy.
HTTP request
PATCH https://backupdr.googleapis.com/v1/{autoProtectionPolicy.name=projects/*/locations/*/autoProtectionPolicies/*} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
autoProtectionPolicy.name |
Output only. Identifier. The resource name of the AutoProtectionPolicy. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. Field mask is used to specify the fields to be overwritten in the AutoProtectionPolicy resource by the update. The fields specified in the updateMask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten. This is a comma-separated list of fully qualified names of fields. Example: |
requestId |
Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |
Request body
The request body contains an instance of AutoProtectionPolicy.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-backupdr
For more information, see the Authentication Overview.